gnutls_pk_get_id(3)

NAME
gnutls_pk_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_pk_algorithm_t gnutls_pk_get_id(const char * name);

ARGUMENTS

const char * name
    is a string containing a public key algorithm name.

DESCRIPTION
Convert a string to a gnutls_pk_algorithm_t value. The names are compared in a case insensitive way. For example, gnutls_pk_get_id("RSA") will return GNUTLS_PK_RSA.

RETURNS
a gnutls_pk_algorithm_t id of the specified public key algorithm string, or GNUTLS_PK_UNKNOWN on failures.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/